=== debian/changelog ===
debputy (0.1.28) unstable; urgency=medium

  [ Niels Thykier ]
  * LSP/Lint:
    - Fix missing `binary-targets` value for R³
    - Emit multiple issues for the same value if applicable in deb822 files
    - Detect exclusive values used with other values in deb822 files. Examples
      include `any` or `all` in the `Architecture` field.
    - Add `hover` docs to `debian/copyright` fields.
    - Add basic support for cross-file data reference. As an example,
      the `debputy.manifest` code can now determine which packages are
      listed in `debian/control`. Additionally, the `debian/changelog` checks
      will now assert that the source package name in the newest entry match
      the `Source` field of `debian/control`.
    - Provide specialized hover docs for `debian/control` that provides
      specialized help for the synopsis part of the `Description` field.
    - The hover docs for `debian/control` will now provide hover docs for
      some substvars.

  * debputy: `lsp features` now reports if general features are missing
  * d/copyright: Add missing `GPL-2+` and missing `Apache-2` license stanzas

  [ Andrea Pappacoda ]
  * `debputy lsp editor-configs`: Add `yegappan`'s VIM LSP.
    (https://github.com/yegappan/lsp).

 -- Niels Thykier <niels@thykier.net>  Wed, 10 Apr 2024 13:32:34 +0000

debputy (0.1.27.1) unstable; urgency=medium

  [ David Kalnischkies ]
  * Improve LSP hover docs:
    - Don't encode <> in Uploaders field description
    - Use consistently markdown */** instead of <em>/<b>
    - Use markdown <automatic links> for URIs in text
    - Define all allowed priorities only once
    - Use **Example**: consistently in descriptions
    - Format text consistently with `file` and `path/`

  [ Niels Thykier ]
  * LSP/Lint: Fix typo in `Upstream-Contact` field.
    Thanks to gregor herrmann <gregoa@debian.org> (Closes: #1068523)

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Apr 2024 08:18:06 +0200

debputy (0.1.27) unstable; urgency=medium

  * LSP/Lint:
    - Disable automatic syntax check of makefiles (`debian/rules`)
      by default. The `make` man page strongly implies that it "may"
      run code, which will be unhelpful to anyone using `debputy lint`
      to review packages.
    - The `debputy.manfiest` diagnostics now flag conflicting
      attributes in the manifest. Previously, these were only flagged
      by `debputy check-manifest` or during build.  (Closes: #85)
    - When there is a typo of a keyword in `debputy.manifest` with one
      obvious solution, the linting will continue linting based on
      the corrected key rather than the original key.
    - Improve the `debputy.manifest` diagnostics to cover deeper into
      the manifest. Among other, it now offers some validation of
      `ManifestCondition` (`when:`).

  [ Niels Thyker ]
  * Add `python3-levenshtein` to Suggests.

  [ David Kalnischkies ]
  * Fix a number of typos and other spelling related issues.
  * Reformat files to remove trailing whitespace

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Apr 2024 12:23:44 +0200

debputy (0.1.26) unstable; urgency=medium

  * LSP/lint:
    - Make debputy.manifest completer better at accounting for conflicting
      keywords such as `as` vs. `sources` in `install`.
    - The debputy.manifest completer now provides completions in more cases.
    - Add basic support `debian/tests/control`. Note that `elpa-dpkg-dev-el`
      does not support it yet in unstable (in git, expected to be 37.22) and
      `vim` does not seem  to have support for it.

  * migrate-from-dh:
    - Provide migration advice for known hook targets. Additionally, hook
      targets with migration advice no longer triggers an unsupported
      feature error (only a manual migration warning).
      (Closes: debputy#78)

  * lint: Fix crash bug when auto-fixing something at the start of a file

 -- Niels Thykier <niels@thykier.net>  Thu, 04 Apr 2024 12:36:11 +0200

debputy (0.1.25) unstable; urgency=medium

  * LSP/lint:
    - Provide initial hover docs for `d/debputy.manifest`.
    - Provide initial completion support for `d/debputy.manifest`.
    - Provide more diagnostics for `d/debputy.manifest`. Note that
      `debputy check-manifest` still covers a lot more, but it usually
      only reports one issue at the time and does not work with the LSP.
    - When the editor does not provide a language id for the files,
      `debputy` now attempts to guess the language from the filename.
      This makes the language server work with most editors that do
      not know about the file format (such as `debian/debputy.manifest`).

  [ Niels Thykier ]
  * d/copyright: Dual license linter and LSP, since that makes it easier
    to share code with `debpkg-metadata`.
  * debputy: Add YAML mode (debputy.manifest) to emacs LSP editor config
    example.
  * LSP/lint: Fix crash bug with some errors in debputy.manifest
  * Migrate to `python3-ruyaml` as default. It has fewer arch:any
    dependencies, which in turn should make arch bootstrapping easier.
    (Closes: debputy#84)
  * debputy: Make `debputy lsp editor-config` list known config names.
    Thanks to David Kalnischkies <david@kalnischkies.de> (Closes: debputy#82)
  * LSP: Fallback to filename based detection if no language id is provided

  [ Otto Kekäläinen ]
  * Add Lintian overrides
  * Add Salsa-CI to both build packages, and to run `debputy lint` on itself

 -- Niels Thykier <niels@thykier.net>  Thu, 04 Apr 2024 07:18:03 +0200

debputy (0.1.24) unstable; urgency=medium

  * Manifest:
    - Add new keyword `services` under `packages.foo`, where the
      packager can specify whether a given service or (systemd) unit
      should be enabled/started on installation and how upgrades
      should be managed. With this, more packages using
      `dh_installsystemd` and `dh_installinit` can hopefully now use
      `debputy`. Note user services is mentioned in the manifest
      feature, but `debputy` does not actually detect any user

