## debputy 0.1.34

=== debian/changelog ===
debputy (0.1.34) unstable; urgency=medium

  * LSP/Lint:
    - Improve Synopsis hover docs by using a wording closer to
      DevRef 6.2.2 and provide a reference example for comparison.
    - Detect some issues with the Synopsis of package description.
      Example include detecting known placeholders, the synopsis being
      too short (single word), and the synopsis starting with an
      article.
    - Avoid emitting diagnostic for missing `Standards-Version` when
      the source package only produces `udebs`.
    - Limit diagnostics of `debian/changelog` to the first two issues
      (Closes: debputy#92)
    - The `black` style no longer normalizes stanza order. Instead,
      current order is preserved as-is.
    - Fix negated architectures being considered a typo. This is a quick
      fix that side-steps the issue. However, the current solution should
      be replaced by a specialized diagnostic logic for `Architecture`.
      Thanks to
      Picca Frédéric-Emmanuel <frederic-emmanuel.picca@synchrotron-soleil.fr>
      for reporting the issue.

  * debputy: Support `junit` report format for the `lint` subcommand.
    (Closes: debputy#99)
  * d/control: Have `dh-debputy` provide `debputy` for now to simplify
    installation. The documentation still uses `dh-debputy` until such
    a time where it makes sense to create a standalone `debputy` package.
  * Improve support for `dwz` being missing to match `debhelper`

 -- Niels Thykier <niels@thykier.net>  Tue, 21 May 2024 14:48:10 +0000

debputy (0.1.33) unstable; urgency=medium

  * LSP/Lint:
    - Check `Files` in debian/copyright for unnecessary syntactical segments.
    - Add basic validation of `Standards-Version` field (like out of date
      Standards-Version or incorrect format)
    - Add support for `debian/patches/series`. Note that for the LSP support
      you will probably need `--ignore-language-ids` for it to activate.
      Current features are:
      + Semantic tokens: Comments + Patches (as "String") are matched.
        Some patch options are marked too.
      + Diagnostics: Patches not mentioned, non-existent patches, duplicate
        patches, patches not ending with .diff/.patch (to aid editor
        support), and syntax issues.
      + Completion: Patch names are completed. Option completion is not
        supported (but `debian/patches/series` only allows `-p1` which
        is redundant).
    - Packages with multiple `Vcs-*` fields (ignoring `Vcs-Browser`) now
      triggers a diagnostic.
    - Linter (but not LSP) now has a separate severity for spelling issues
      called `spelling`. It works like the previous severity for all intents
      and purposes, it is just a different name for the same severity.

  * d/control: Bump Standards-Version to 4.7.0 - no changes required
  * Add basic `grantlee` packaging plugin to match the `debhelper`
    sequence add-on of same name.

 -- Niels Thykier <niels@thykier.net>  Thu, 09 May 2024 10:43:23 +0000

debputy (0.1.32) unstable; urgency=medium

  * LSP/Lint:
    - Fix bug where `d/copyright` and `d/tests/control` was read as `d/control`
      in `debputy lsp server` (`debputy lint` was unaffected).
    - Fix bug in `in_range` detection that was sometimes completely off. This
      could cause incorrect hover docs or completion suggestions to appear.
      Admittedly, the above bug almost makes this one seem like a non-issue
      in comparison.
    - Support completing filenames in `Files` fields of `debian/copyright`.
  * debputy reformat: Provide separate message for no style vs. unsupported
    style

 -- Niels Thykier <niels@thykier.net>  Sun, 05 May 2024 12:41:27 +0000

debputy (0.1.31) unstable; urgency=medium

  * LSP/Lint:
    - Read `wrap-and-sort` args from `salsa-ci` as fallback
    - Prune more fields and values in the deb822 completer based on
      the context. As an example, `same` is no longer suggested as
      a completion for `Multi-Arch` if the package is
      `Architecture: all`. (Closes: debputy#88)
    - Flag `X-Time64-Compat` as an issue in `Architecture: all`
      packages.
    - Update hover doc for `M-A: allowed` to clarify how rare it is
      (less than 0.5%, down to 0.05% for `Architecture: all`).

  [ Niels Thykier ]
  * d/control: Allow `python3-ruamel.yaml` as alternative
  * CI: Add CI tests to validate Ubuntu/noble works
  * debputy reformat: Add option to not error out on missing styles

  [ Maytham Alsudany ]
  * LSP: Update Section reference data to include `golang` and `httpd`.

 -- Niels Thykier <niels@thykier.net>  Sat, 04 May 2024 11:18:18 +0000

debputy (0.1.30) unstable; urgency=medium

  * LSP/Lint:
    - Detect duplicate separators (commas) in most fields
    - Fix typo in hover doc for `DM-Upload-Allowed`
    - Support `X-Style: black` as style declaration to activate
      automatic reformatting support. Conceptually, this is similar
      to `wrap-and-sort -satkb` but it may evolve over time.
    - Support reformatting of field contents on save or via explicit
      reformat document request from editor (requires that `debputy`
      knows which style you want - see previous entry for how to do
      a per-package rule).
    - Update `emacs+eglot` editor config snippet after the latest
      elpa-dpkg-dev-el upload.

  * Fix crash bug in embedded python3-debian code
  * Declare styles for:
    - Niels Thykier (black)
    - Chris Hofstaedtler (black)

  * style-prefs.yaml: Adding format rules for several packages
  * Apply `debian black` style to `d/tests/control`
  * Fix duplicate stderr logger with LSP (and similar commands)
  * Fix invalid assertion error in some packages (Closes: #1069362)
  * Cope better with `python3-colored (<< 2)`
    Thanks to Chris Hofstaedtler <zeha@debian.org>
  * Provide a new reformat subcommand. It works like `debputy lint`, but
    only does formatting (which `debputy lint` does none of).
  * debputy lint: Fix crash bug on missing `Source` field in `d/control`

