## debputy 0.1.35

=== debian/changelog ===
debputy (0.1.35) unstable; urgency=medium

  [ Niels Thykier ]
  * Manifest:
    - Fix inverted boolean logic causing `path-metadata` to reject matched
      directories when it should have allowed the match.

  * LSP/Lint:
    - In regex based validation, ignore values with substvars to avoid
      false positives.
    - Fix typo in hover doc
    - Fix two minor bugs (an out of bounds and None exception)
    - Avoid double colon when completion YAML keys and there was already
      a colon.
    - Fix a bug where the YAML completion would not work properly if there was
      any content on the line after the current line.


  * debputy: Considerably reduce the output during package build by:
    - Do not announce loading of bundled plugins
    - Avoid unnecessary output related to installations (like search dir and
      discard rules) for `rrr` integration mode.
    - Reduce the log level to `warning` by default from info (other subcommands
      still start on `info` level by default). In the `debhelper` integration
      modes, `export DH_VERBOSE=1` will restore the `info` level logging.
    - Guard some information (such as most commands being run) beyond info
      logging.

  [ Colin Watson ]
  * LSP/Lint: Fix section for python3-zope.*

 -- Niels Thykier <niels@thykier.net>  Wed, 05 Jun 2024 17:33:57 +0000
