## debputy 0.1.36~bpo12+1

=== debian/changelog ===
debputy (0.1.36~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports as requested by the `lighttpd`
    maintainers in the following MR:
    https://salsa.debian.org/debian/lighttpd/-/merge_requests/47
  * Remove two optional build-dependencies that cannot be satisfied
    in -backports currently.
  * Tweak some code to fix a benign CI breakage for the unstable job
    when the build-dependencies were removed. (The main branch now
    has a CI job for this case to avoid future irrelevant breakage)
  * Disable (remove) some autopkgtests that cannot be run in
    bookworm-backports due to missing dependencies.

 -- Niels Thykier <niels@thykier.net>  Thu, 13 Jun 2024 08:51:23 +0000

debputy (0.1.36) unstable; urgency=medium

  * LSP/Lint: Basic detection of hook targets that will not be run
    with `debputy` sequences (debputy#103). Known issues are:
      - The check does not account for sequences loaded via
        `debian/rules`.
      - The diagnostics does not automatically refresh in the
        language server when changing `debian/control`. The work
        around is to do a minor change to `debian/rules` to
        re-trigger it.
  * Internal refactoring of linter and LSP to make it easier to
    make some build-dependencies fully optional, which in turn
    makes backporting `debputy` to bookworm-backports a lot easier.
  * debian/control: Mark some build-dependencies unnecessary for
    bookworm-backports via a package specific build profile.

 -- Niels Thykier <niels@thykier.net>  Sun, 09 Jun 2024 11:45:02 +0000
