=== debian/control ===
--- 
+++ 
@@ -14,8 +14,6 @@
  python3-debian,
  python3-hunspell <!nocheck>,
  python3-levenshtein <pkg.debputy.ci>,
- python3-lsprotocol <!nocheck>,
- python3-pygls <!nocheck !pkg.debputy.minimal-tests>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <pkg.debputy.test-coverage>,
  python3-ruyaml | python3-ruamel.yaml,
