=== debian/tests/control ===
Tests:
 debputy-py.test,
Restrictions:
 allow-stderr,
# debputy loads the libcap2 library directly for one of the tests
Depends:
 libcap2,
 python3-all,
 python3-pytest,
 @,

Tests:
 debputy-cli,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 @,
