## debputy 0.1.37

=== debian/changelog ===
debputy (0.1.37) unstable; urgency=medium

  * LSP/Lint:
    - Provide `sort text` for some completion suggestions to have
      editors promote or demote certain values. Example being `allowed`,
      which is rarely used and is now demoted below other options.
    - Provide synopsis docs for various completion suggestions related
      to field values.
    - Provide a diagnostic for a "directory-only" match used in a
      `Files` field of `debian/copyright'.
    - Provide a diagnostic for `debhelper` config files and PPFs that
      uses a name segment without an explicit package prefix. These
      are possible typos of a real package name and additionally, they
      are deprecated in debhelper compat 14 (removal planned for compat
      15). Note that `debputy` did not allow name segments without
      explicit package prefix for the PPFs it supported, so this
      should only affect `debhelper` packages.
    - Provide a diagnostic for 'debhelper` config files and PPFs that
      used by commands not active in the `dh` sequence given the
      current set of add-ons. This only applies to packages using
      `dh` and relies 100% on `dh_assistant` providing useful data
      for the package in question. For this feature to work,
      `debhelper (>= 13.16~)` is needed. With older versions of
      `debhelper` the check is silently disabled.
    - Detect some typos in the "stem" part of debhelper config files
      and PPFs (both `debputy` and `debhelper` provided PPFs).
      Due to a technical limitation, the check only works when
      there is exactly one match for the stem within
      "typo edit distance". This means that typos of some stems
      are likely to be unreported. A trivial example is the
      typo `debian/dcos`, which is equally close to `debian/docs` and
      `debian/dirs`.


  * Update salsa CI configuration to better support backports
  * Fix bug in handling absence of `python3-lsprotocol` in unstable
  * Add missing help descriptions to `lint` and `reformat`
  * Add a `debian/clean` to remove files after "rules-less" experiments
  * debputy: `debputy lsp features` now reports if a newer version of
    `debhelper` would help or provide improve support. Currently, the
    lowest bound for passing is now `debhelper (>= 13.16~)`. The bound
    may be bumped in the future as the need arises.

 -- Niels Thykier <niels@thykier.net>  Mon, 17 Jun 2024 16:07:04 +0000
