## debputy 0.1.39~bpo12+1

=== debian/changelog ===
debputy (0.1.39~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies that cannot be satisfied
      in -backports currently.
    - Disable (remove) some autopkgtests that cannot be run in
      bookworm-backports due to missing dependencies.

 -- Niels Thykier <niels@thykier.net>  Wed, 26 Jun 2024 16:14:39 +0000

debputy (0.1.39) unstable; urgency=medium

  * LSP/Lint:
    - Reference wiki.d.o/PackageTransition for `Breaks`, `Conflicts` and
      `Replaces` hover docs.
    - Fix false-positive "unused `symbols` file". Thanks to
      Otto Kekäläinen <otto@debian.org> (Closes: debputy#107)

  * debputy: `lsp features` now works even without minimum requires installed

 -- Niels Thykier <niels@thykier.net>  Mon, 24 Jun 2024 07:52:09 +0000

debputy (0.1.38) unstable; urgency=medium

  * LSP/Lint:
    - Avoid self-DOS when checking packaging file names
    - Perform more checks of packaging files
    - Ignore `fundamental` language ID (from `emacs`'s `fundamental-mode`)
  * debputy: Explicitly state how to see the editor snippets in the list of
    snippets
  * debputy: Special-case the file-level range in the output in the
    `junit4-xml` output format for `debputy lint`.
  * Fix matching of packager provided files for some corner cases. As a
    side-effect, some more corner cases of typos of the name stem are
    now detected by the LSP/Lint and annotate-debian-directory code
    when `python3-levenshtein` is installed. As an example,
    `foo.uxxr.service` can now be reported as a typo of `user.service`
    (for `dh_installsystemduser`) where it was previously considered a
    `service` file with a name segment of `uxxr` (for `dh_installsystemd`).
    Though, this only happens subcommands that active look for typos
    (such as the LSP/Lint part) and only when `python3-levenshtein` is
    enabled (check `debputy lsp features` for the `typo detection`).

 -- Niels Thykier <niels@thykier.net>  Thu, 20 Jun 2024 05:54:24 +0000

debputy (0.1.37~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Fixed delta compared to testing:
    - Tweak some code to fix a benign CI breakage for the unstable job
      when the build-dependencies were removed. (The main branch now
      has a CI job for this case to avoid future irrelevant breakage)
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies that cannot be satisfied
      in -backports currently.
    - Disable (remove) some autopkgtests that cannot be run in
      bookworm-backports due to missing dependencies.

 -- Niels Thykier <niels@thykier.net>  Thu, 20 Jun 2024 06:14:26 +0000
