=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
  python3:any (>= 3.11~),
  strip-nondeterminism,
 Recommends:
+ debhelper (>= 13.16~),
  python3-argcomplete,
 Suggests:
  hunspell-en-us,
