## debputy 0.1.42

=== debian/changelog ===
debputy (0.1.42) unstable; urgency=medium

  * LSP/Lint:
    - Fix exception on some syntax errors
    - Add `X?-Ruby-Versions` as a known (obsolete) field
    - Include the final line of context (`debputy lint`-only)
    - Syntax check dependency relation fields
    - Detect incorrect version operators in `Provides`
    - Fix crash on package stanzas without `Package` field
    - Flag usage of `|` in relationship fields that does not
      support it
    - Fix invalid ranges for some checks when using field comments

 -- Niels Thykier <niels@thykier.net>  Sat, 06 Jul 2024 18:50:17 +0000

debputy (0.1.41) unstable; urgency=medium

  * LSP/Lint:
    - Fix typo in diagnostic message
    - Reduce the number of false positive pkgfile typo warnings.
      Thanks to Otto Kekäläinen <otto@debian.org> (Closes: debputy#109)
    - Avoid recommending name segment for packaging files that do not
      support that.  Note all `debhelper` files currently "support"
      name segments as far as `debputy` can tell, since `dh_assistant`
      does not track this feature.
  * debputy reformat: Fix error in instructions
  * debputy-documentation.json: Add `debian/lintian-brush.conf` as
    known file.

 -- Niels Thykier <niels@thykier.net>  Tue, 02 Jul 2024 20:52:51 +0000

debputy (0.1.40) unstable; urgency=medium

  * Manifest changes:
    - The manifest parser now validates the used features against the
      integration mode. This causes some invalid manifests to be
      detected at parse time (`debputy manifest`) rather than at
      build time for `dh-sequence-zz-debputy-rrr`).

  * LSP/Lint:
    - Use `dh_assistant` to determine inactive commands. This improves
      the check to cover commands that `debhelper` knows are inactive.
      However, the functionality now requires `debhelper (>= 13.15~)`.
    - Apply sequences from `debian/control` when analyzing `debian/rules`.
      Note for LSP: Depending on your editor, you may have to save
      `debian/control` first and then trigger a change in `debian/rules`
      for it to be visible. (Known issue, see debputy#103 and debputy#108)
    - Provide inlay hints for inherited fields in `debian/control`.
    - Provide integration mode level checks for most features. The
      capabilities on `path-metadata` is a known and notable case where
      the LSP/Lint side is silent where `debputy check-manifest` would
      complain.
    - Provide a warning for unknown capabilities (that `cap_from_text`
      does not recognize). Previously, this would only appear in
      `debputy check-manifest` or during builds.
    - Validate boolean and enum-like values for attributes of the
      manifest. These would previously only be caught by
      `debputy check-manifest` or during builds.

  * debputy: Remove internal `--integration-mode=rrr` option.
  * dh_debputy: Remove internal `--integration-mode=rrr` option.

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Jun 2024 12:43:55 +0000
