## debputy 0.1.43

=== debian/changelog ===
debputy (0.1.43) unstable; urgency=medium

  * debputy: Only warn about missing `-dev` SO symlinks for libraries
    in common lib paths (such as usr/lib/${MA})
  * debputy: Fix bug where `DH_VERBOSE` would fail to print all
    commands
  * debputy: Distinguish between `--debug` and `DH_VERBOSE` in terms
    of verbosity.
  * debputy: Restore `Multi-Arch: same` field in dbgsym packages.
    Thanks to Russ Allbery <rra@debian.org>

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Jul 2024 07:18:46 +0000
