## debputy 0.1.45

=== debian/changelog ===
debputy (0.1.45) unstable; urgency=medium

  * Manifest:
    - Add new `default-build-environment`, `build-environments` and `build-rules`
      for the new `full` integration mode where `debhelper` is no longer driving
      the build.
    - Port all `debhelper` provided build systems to have an native `debputy`
      counter part with a few tweaks.


  * LSP/Lint:
    - Add `xpm` as a known extension for packager files
    - Add `Build-Driver` as a known field for `debian/control`.
    - Add `Files-Excluded` and `Files-Included` as known fields for DEP-5
    - Quote values in completation items for the manifest. This means that
      the value for `manifest-version` is now properly YAML quoted.

  * debputy: Remove `--spellcheck` from "random" subcommands
  * debputy: Fix missing warning with `--debug` (it was supposed to be omitted,
    but never was due to exception flow).
  * debputy reformat: Fix bug where orphaned packages would have a style by default
  * doc: Document decision on plugin module import vs. initialization design
  * LSP/Lint: Fix crash with certain field being duplicated
  * MANIFEST-FORMAT.md: Fix wording
  * Add initial minimal `Build-Driver` support meaning that `debputy` can now use
    `dpkg-buildpackage`'s new `Build-Driver` support to drive the build without
    relying on `dh`. This requires bleeding edge features in `dpkg-buildpackage`
    and `debputy`.
  * Avoid stacktrace for CTRL + C during `run_command`
  * Improve error tracking related to plugins
  * Add remark about `env:` manifest variables sometimes respecting
    `build-environment`.

 -- Niels Thykier <niels@thykier.net>  Sun, 04 Aug 2024 12:37:21 +0000

debputy (0.1.44) unstable; urgency=medium

  * LSP:
    - Provide hover docs for packages in relationship fields. Due to
      implementation limitations, OR relations (`foo | bar`) do not
      work. The hover doc relies on the system's APT cache with all
      the limitations from that (like the data not matching the target
      distribution)
    - Fix wording in the synopsis hover doc

  * debputy reformat: If possible provide the reformatting tool when the
    style cannot be applied.
  * debputy: Remove `printf` debug when log level is changed
  * debputy: Prefer using line numbers in error messages when available
  * editor-config: Improve the LSP config for `eglot`
  * debputy: Improve mode correction for `*.pm` files.
    Thanks to Russ Allbery <rra@debian.org> (Closes: #1076346)

 -- Niels Thykier <niels@thykier.net>  Mon, 15 Jul 2024 11:24:40 +0000
