## debputy 0.1.46~bpo12+1

=== debian/changelog ===
debputy (0.1.46~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 13 Aug 2024 12:57:25 +0000

debputy (0.1.46) unstable; urgency=medium

  * LSP:
    - Improve wording of and fix typo in hover docs.
    - Fix a typo of `hyphen-` that would distrupt "name to section"
      checks for `hyphen-` packages.

  [ Niels Thykier ]
  * LSP: Fix typo of `hyphen-` and improve wording `Multi-Arch` field
  * debputy: Hoist `nocheck` and `nodoc` into `DEB_BUILD_OPTIONS`
    Thanks to Chris Hofstaedtler <zeha@debian.org>
  * Skip `debian/foo.1` for packager provided files typo checks.
    Thanks to Chris Hofstaedtler <zeha@debian.org>
  * Set `PKG_CONFIG` ENV var for  `perl-makemaker`
  * Fix bug in initialization of `EnvironmentModification` (only affects
    packages in `full` integration mode).
  * Fix bug in escape_util and have it use more readable output by default
  * Fix bug where pre-compressed manpage would be corrupted.
    Thanks to Andrey Rakhmatullin <wrar@debian.org> (Closes: #1078448)

  [ Guillem Jover ]
  * LSP: Fix typos in several descriptions


 -- Niels Thykier <niels@thykier.net>  Sat, 10 Aug 2024 18:16:23 +0000
