## debputy 0.1.47~bpo12+1

=== debian/changelog ===
debputy (0.1.47~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies that cannot be satisfied
      in -backports currently.
    - Disable (remove) some autopkgtests that cannot be run in
      bookworm-backports due to missing dependencies.

 -- Niels Thykier <niels@thykier.net>  Thu, 15 Aug 2024 04:57:50 +0000

debputy (0.1.47) unstable; urgency=medium

  * LSP/Lint:
    - Fix missing textwrap.dedent for hover docs
    - Tweak wording for undocumented fields
    - Tweak wording for the `important` value from `Priority`
    - Tweak rendering of header of hover docs for known value
    - In hover docs, recognize `debputy-plugin-X` similar to `dh-sequence-Y`
    - Make a d/changelog diagnostic message a bit more precise

  * migrate-from-dh:
    - Add remark about https://bugs.debian.org/1067653 in relevant
      warnings.

  * Expand documentation on integration modes (Closes: debputy#117)
  * debputy: Fix a warning from auto-detecting when the source
    package has no `debhelper` compat level.
  * debputy: Restore log output from `pygls` (`debputy lsp server`)


 -- Niels Thykier <niels@thykier.net>  Tue, 13 Aug 2024 12:44:52 +0000
