=== debian/control ===
--- 
+++ 
@@ -14,8 +14,6 @@
  python3-debian,
  python3-hunspell <!nocheck>,
  python3-levenshtein <pkg.debputy.ci>,
- python3-lsprotocol <!nocheck !pkg.debputy.bookworm-backports>,
- python3-pygls <!nocheck !pkg.debputy.minimal-tests !pkg.debputy.bookworm-backports>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <pkg.debputy.test-coverage>,
  python3-ruyaml | python3-ruamel.yaml,
@@ -72,9 +70,15 @@
  Package builder that provides a declarative manifest for building Debian-based
  packages.
  .
- This version integrates with the debhelper sequencer dh and will replace
- several of debhelper's tools that are covered by debputy.
- .
  The debputy package builder aims to reduce cognitive load for the packager
  and provide better introspection to packagers, linters and the Debian
  janitor.
+ .
+ This version integrates with the debhelper sequencer dh. Multiple integration
+ modes are possible with dh. The most trivial integration mode is
+ dh-sequence-zz-debputy-rrr, which is a mostly standard dh sequence with very
+ few changes aimed entirely at removing the need for fakeroot when assmebling
+ the .deb.
+ .
+ For more information on all integration modes and what they do, please see
+ https://salsa.debian.org/debian/debputy/-/blob/main/INTEGRATION-MODES.md
