## debputy 0.1.48~bpo12+1

=== debian/changelog ===
debputy (0.1.48~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies that cannot be satisfied
      in -backports currently.
    - Disable (remove) some autopkgtests that cannot be run in
      bookworm-backports due to missing dependencies.

 -- Niels Thykier <niels@thykier.net>  Tue, 20 Aug 2024 08:46:57 +0000

debputy (0.1.48) unstable; urgency=medium

  * INTEGRATION-MODES.md: Correct `bullseye` that should have been `bookworm`
  * Also set PKG_CONFIG in the `perl-build` build system like with
    is done in the `perl-makemaker` build system.
  * Remove lintian-overrides since `debputy` no longer uses `dh`
  * d/control: Fix typo in description
  * debputy.pod: Document security aspects of `debputy lsp server`
    and `debputy lint`.
  * debputy: Fix inaccurate directory listing in an error message.
  * debputy: Ensure `u+rwX` as min mode when installing paths into the
    packages. This change prevent crashes when upstream has marked
    paths as read-only (such as `0444`).
    Thanks to Andrey Rakhmatullin <wrar@debian.org> (Closes: #1078906)
    Note: Paths can still get their user write bit removed via
    transformations or built-in rules (such as files in `etc/sudoers.d`
    which must be `0440`)
  * debputy: Require directory mode to always have `u+rwx`. Previously,
    only the `u+rx` mode was required. There is no known use-case for
    directories to not have a read, write and execute for the owner.

 -- Niels Thykier <niels@thykier.net>  Sun, 18 Aug 2024 09:47:40 +0000
