=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
  This version integrates with the debhelper sequencer dh. Multiple integration
  modes are possible with dh. The most trivial integration mode is
  dh-sequence-zz-debputy-rrr, which is a mostly standard dh sequence with very
- few changes aimed entirely at removing the need for fakeroot when assmebling
+ few changes aimed entirely at removing the need for fakeroot when assembling
  the .deb.
  .
  For more information on all integration modes and what they do, please see
