=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
  python3-debian,
  python3-hunspell <!nocheck>,
  python3-levenshtein <pkg.debputy.ci>,
+ python3-lsprotocol <!nocheck !pkg.debputy.bookworm-backports>,
+ python3-pygls <!nocheck !pkg.debputy.minimal-tests !pkg.debputy.bookworm-backports>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <pkg.debputy.test-coverage>,
  python3-ruyaml | python3-ruamel.yaml,
