## debputy 0.1.50

=== debian/changelog ===
debputy (0.1.50) unstable; urgency=medium

  * LSP:
    - Tweaked many of the hover doc and completion docs
      for Deb822 files.
    - Avoid false positive "typo of `.wm`" for vim's hidden
      `.swp` files.
      Thanks to David Kalnischkies <david@kalnischkies.de>
      for reporting the issue.  (Closes: debputy#121)
    - Initial support for `debian/upstream/metadata`. Top-level
      keys are now known, have hover docs and can be completed.
      Unknown keys are accepted without warning provided they
      are not considered a typo of a known field.

  * migrate-from-dh:
    - Support migrating from `dh_shell_completions`.

  * Fix synopsis for `DM-Upload-Allowed` field
  * Refactored the hover doc and known field logic for Deb822 based
    files and extracted most of it into separate data files.
  * debputy lsp server: Handle multiple initializations
    more gracefully. This is mostly relevant for debugging
    via the `--tcp` option.
  * Add support zsh/fish-completion files as known packaging files
    that `debputy` can install. Note that `debputy` uses `completion`
    rather than `completions` (compared to `dh_shell_completions`).
    The `debputy migrate-from-dh` will spot and fix the difference.
  * d/control: Add `debputy-lsp` to Suggests

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Sep 2024 10:09:04 +0000

debputy (0.1.49) unstable; urgency=medium

  * LSP/Lint:
    - Tweak hover docs and add synopsis for a lot of fields
    - Add missing dependency validation for `Pre-Depends`
    - Check for missing files like `debian/copyright`. For
      the LSP style, it is reported for the `Source` field
      of the `d/control` file.
    - Add two trivial checks for extended description
    - Ensure `debhelper` is at least 13.19~ to avoid
      false-positive diagnostic (Closes: debputy#120)

  * Move some LSP reference data to a separate data file
  * Support translation of fields and many values. No translations
    done yet.

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Aug 2024 13:20:00 +0000
